Delete a Saved Payment Card

Enables a user to delete a selected payment card from the mobile application

Path Parameters
  • payment_card_uuid
    Type: string
    required

    Unique ID of the saved payment card that Punchh generates when creating/saving this card in the system. See Create a Payment Card

Headers
  • x-pch-digest
    Type: string
    required

    The signature for the API call

  • Content-Type
    Type: string
    required

    Set this header to application/json.

  • Accept-Language
    Type: string

    Preferred language

  • User-Agent
    Type: string
    required

    Used to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.

  • punchh-app-device-id
    Type: string
    required

    The app device ID helps Punchh identify each device so that certain rewards can be awarded individually to each device instead of per user. For example, the sign-up reward is given to each device ID to prevent fraudulent sign-ups so that a user cannot do repeated sign-ups from a single device to get rewards. It should not change even if the user resets a device. See the sample code to generate the punchh-app-device-id header.

  • Authorization
    Type: string
    required

    Used to authorize the request with access_token. It should be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

  • Accept
    Type: string
    required

    Advertises which content types the client is able to understand

Body
application/json
  • client
    Type: string
    required

    OAuth client ID provided by the business

  • passcode
    Type: string

    Passcode is a secondary authentication PIN that must be passed if it is enabled for a business. The passcode can be enabled or disabled from the Punchh platform.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for delete/api2/mobile/payment_cards/{payment_card_uuid}
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/payment_cards/{payment_card_uuid}' \
  --request DELETE \
  --header 'x-pch-digest: {{$$.env.signature}}' \
  --header 'Content-Type: application/json' \
  --header 'Accept-Language: en' \
  --header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
  --header 'punchh-app-device-id: APP_DEVICE_ID_GOES_HERE' \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
  --header 'Accept: application/json' \
  --data '{
  "client": "<CLIENT_ID_GOES_HERE>",
  "passcode": "<PASSCODE_GOES_HERE>"
}'
{
  "message": "Payment card has been deleted successfully.",
  "status": "success"
}